Subject: [PATCH 0/2] clean up push config callbacks

From: Jeff King <[email-masked]>
Date: Mon, 16 Feb 2015 00:45:50 -0500

On Mon, Feb 16, 2015 at 12:20:49AM -0500, Jeff King wrote:

> But here you are adding to git_default_push_config, which is in another
> file.
> 
> I'm trying to figure out why git_default_push_config exists at all. The
> major difference from git_push_config is that the "default" variant will
> get loaded for _all_ commands, not just "push". So if it affected
> variables that were used by other commands, it would be needed. But all
> it sets is push_default, which seems to be specific to builtin/push.c.
> 
> So I suspect it can be removed entirely, and folded into
> git_config_push. But that's outside the scope of your patch.

Here's that cleanup, plus another one I noticed while doing it.

  [1/2]: git_push_config: drop cargo-culted wt_status pointer
  [2/2]: builtin/push.c: make push_default a static variable

-Peff